Subject: I-D Action: draft-brown-ec-2y2-x3-x-mod-8-to-91-plus-5-09.txt

From: [email-masked]
Date: Mon, 21 Mar 2022 07:53:00 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : BlackBerry's Elliptic Curve 2y^2=x^3+x over Field Size 8^91+5
        Author          : Dan Brown
	Filename        : draft-brown-ec-2y2-x3-x-mod-8-to-91-plus-5-09.txt
	Pages           : 78
	Date            : 2022-03-21

Abstract:
  Multi-curve elliptic curve cryptography with curve
  2y^2=x^3+x/GF(8^91+5) hedges a risk of new curve-specific attacks.
  This curve features: isomorphism to Miller's curve from 1985; low
  Kolmogorov complexity (little room for embedded weaknesses of
  Gordon, Young-Yung, or Teske); similarity to a Bitcoin curve;
  Montgomery form; complex multiplication by i
  (Gallant-Lambert-Vanstone); prime field; easy reduction, inversion,
  Legendre symbol, and square root; five 64-bit-word field arithmetic;
  string-as-point encoding; and 34-byte keys.

  This document aims to contribute to multi-curve Elliptic Curve
  Cryptography by describing how to use this curve for elliptic curve
  Diffie--Hellman.  Reports of experience and experiments with this
  curve are encouraged to better understand its security and utility.

  This document was produced outside the IETF and is not an IETF
  standard.  Publication of this document does not imply endorsement
  by the IETF of the curve described in this document.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-brown-ec-2y2-x3-x-mod-8-to-91-plus-5/

There is also an htmlized version available at:
https://datatracker.ietf.org/doc/html/draft-brown-ec-2y2-x3-x-mod-8-to-91-plus-5-09

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-brown-ec-2y2-x3-x-mod-8-to-91-plus-5-09

Internet-Drafts are also available by rsync at rsync.ietf.org::internet-drafts